<?php namespace EscapeWork\Manager\Commands\Role;

use Illuminate\Contracts\Bus\SelfHandling;
use EscapeWork\Manager\Commands\Command;
use EscapeWork\Manager\Models\Role;
use EscapeWork\Manager\Http\Requests\Role\FormRequest;

class SaveRoleCommand extends Command implements SelfHandling
{

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {

    }

    /**
     * Execute the command.
     *
     * @return void
     */
    public function handle(FormRequest $request, Role $role)
    {
        if ($request->id) {
            $role = $role->findOrFail($request->id);
        }

        $role->fill($data);
        $role->save();

        // $request->get('pages'),
        // $request->get('actions')

        return $role;
    }
}
